* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'Trebuchet MS', sans-serif;
  scroll-behavior: smooth;
}

/* Navbar */
.navbar {
  background: #350030;
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.2rem;
  position: sticky;
  top: 0;
  z-index: 999;
}

.navbar__container {
  display: flex;
  justify-content: space-between;
  height: 80px;
  width: 100%;
  max-width: 1300px;
  margin: 0 auto;
  padding: 0 50px;
}

#navbar__logo {
  font-weight: bold;
  background-image: linear-gradient(to top, #ff00c8 20%, #ff0000 100%);
  background-size: 100%;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
  display: flex;
  align-items: center;
  cursor: pointer;
  text-decoration: none;
  font-size: 2.3rem;
}

.navbar__menu {
  display: flex;
  align-items: center;
  list-style: none;
}

.navbar__item {
  height: 100px;
}

.navbar__links {
  font-weight: bold;
  color: #ff006a;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 125px;
  text-decoration: none;
  height: 100%;
  transition: all 0.3s ease;
}

.navbar__links:hover {
  color: #ff54f6;
  transition: all 0.3s ease;
}

.navbar__btn {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 1rem;
  width: 100%;
}

.button {
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  padding: 10px 20px;
  height: 100%;
  width: 100%;
  border: none;
  outline: none;
  border-radius: 4px;
  background: linear-gradient(to right, #fcb045, #fd1d1d, #833ab4);
  color: #fff;
  transition: all 0.3s ease;
}

/* Responsive Navbar */
@media screen and (max-width: 960px) {
  .navbar__container {
    padding: 0;
  }

  .navbar__menu {
    display: grid;
    grid-template-columns: auto;
    margin: 0;
    width: 100%;
    position: absolute;
    top: -1000px;
    opacity: 1;
    transition: all 0.5s ease;
    z-index: -1;
  }

  .navbar__menu.active {
    background: #420034;
    top: 100%;
    opacity: 1;
    transition: all 0.5s ease;
    z-index: 99;
    height: 60vh;
    font-size: 1.6rem;
  }

  #navbar__logo {
    padding-left: 25px;
  }

  .navbar__toggle .bar {
    width: 25px;
    height: 3px;
    margin: 5px auto;
    transition: all 0.3s ease-in-out;
    background: rgb(255, 0, 132);
  }

  .navbar__item {
    width: 100%;
  }

  .navbar__links {
    text-align: center;
    padding: 2rem;
    width: 100%;
    display: table;
  }

  .navbar__btn {
    padding-bottom: 2rem;
  }

  .button {
    width: 80%;
    height: 80px;
    margin: 0;
  }

  #mobile-menu {
    position: absolute;
    top: 20%;
    right: 5%;
    transform: translate(5%, 20%);
  }

  .navbar__toggle .bar {
    display: block;
    cursor: pointer;
  }

  #mobile-menu.is-active .bar:nth-child(2) {
    opacity: 0;
  }

  #mobile-menu.is-active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }

  #mobile-menu.is-active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }
}

/* Hero Section */
.hero {
  background-image: url('images/NJ_hatecrime2.PNG');
  background-attachment: fixed;
  background-size: cover;
  padding: 200px 0;
}

.hero__container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  max-width: 1200px;
  margin: 0 auto;
  height: 90%;
  text-align: center;
  padding: 30px;
}

.hero__heading {
  font-weight: bolder;
  font-size: 100px;
  padding-bottom: 40px;
  margin-bottom: 24px;
  color: rgb(39, 4, 33);
}

.hero__heading span {
  font-weight: bold;
  background: linear-gradient(to right, #490c2b, #a20451);
  background-size: 100%;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

.hero__description,
.hero__description1 {
  font-weight: bold;
  padding-bottom: 10px;
  background: linear-gradient(to right, #ffffff, #ffffff);
  background-size: 100%;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

.hero__description {
  font-size: 60px;
}

.hero__description1 {
  font-size: 45px;
}

.hero__text,
.hero__text1,
.hero_desc {
  font-weight: 500;
  text-shadow: 0 0 2px #2a081c;
  background: linear-gradient(to right, #611944, #611944);
  background-size: 100%;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

.hero__text {
  font-size: 30px;
}

.hero__text1 {
  font-size: 25px;
}

.hero_desc {
  font-size: 25px;
  padding: 15px;
  text-align: center;
}

.hero_row {
  display: flex;
}

.hero_column {
  flex: 33.33%;
  padding: 5px;
}

/* Image */
img {
  border: 1px solid #ddd;
  border-radius: 4px;
  padding: 5px;
  width: 300px;
}

img:hover {
  border: 5px solid #3b004d;
}

/* Navbar underline */
.highlight {
  border-bottom: 5px solid rgb(41, 6, 40);
}

/* Responsive Hero Section */
@media screen and (max-width: 1000px) {
  .hero__heading {
    font-size: 60px;
  }

  .hero__description {
    font-size: 40px;
  }

  .hero__description1 {
    font-size: 30px;
  }

  .hero__text,
  .hero__text1 {
    font-size: 20px;
  }

  img {
    width: 50px;
  }
}